Bug 79655 - Changing spell language produces a nonsensical warning and unnecessary behaviour
Summary: Changing spell language produces a nonsensical warning and unnecessary behaviour
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kspell (show other bugs)
Version: unspecified
Platform: openSUSE Linux
: NOR normal
Target Milestone: ---
Assignee: Zack Rusin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-14 21:19 UTC by Tristan Miller
Modified: 2008-08-25 19:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2004-04-14 21:19:41 UTC
Version:            (using KDE KDE 3.2.1)
Installed from:    SuSE RPMs

To reproduce:
-------------
1. Article->Post to Newsgroup
2. Tools->Spelling
3. Select a new language from the "Language" drop-down box.
4. Up pops a dialog window with an "OK" button and the message "You have to restart the dialog for changes to take effect".
5. Click OK; both the dialog window and the spell checker window close automatically.

Discussion:
-----------
"You have to restart the dialog for changes to take effect" message makes no sense whatsoever.  What does "restart" mean in this context?  To what "dialog" is it referring?  Does it mean that I have to save the article as a draft and then reopen it?  Does it mean that I have to start the spell checker again?  The warning message should be more specific.  Better yet, KNode shouldn't expect the user to have to manually restart anything in the first place.  If the spell checker needs to be restarted, KNode should do that itself, possibly with an informational dialog such as, "Spell check will start again from beginning of document."
Comment 1 Martin Koller 2006-12-03 20:45:07 UTC
Confirmed with 3.5.5
Comment 2 Thomas De Schampheleire 2007-06-23 18:21:06 UTC
I would like to confirm this bug as well in KDE 3.5.5, using Gentoo. The original bug is from over three years ago now. Can someone look at this again?

Let me know if some extra information is needed.
Comment 3 Zack Rusin 2008-08-25 19:50:43 UTC
Fixed in Sonnet. The application just needs to call setLanguage on the Speller and it will automatically work (it's done in the dialog for you).